# Interface AxiosResponse<T, D>

interface AxiosResponse< T = any, D = any> {
config : InternalAxiosRequestConfig < D >;
data : T ;
headers :
| AxiosResponseHeaders
| Partial <
RawAxiosHeaders & {
"Cache-Control": AxiosHeaderValue ;
"Content-Encoding": AxiosHeaderValue ;
"Content-Length": AxiosHeaderValue ;
"Content-Type": AxiosHeaderValue ;
Server: AxiosHeaderValue ;
} & { "set-cookie": string[] },
>;
request ?: any;
status : number;
statusText : string;
}

#### Type Parameters

- T = any
- D = any

- Defined in node_modules/axios/index.d.ts:394

##### Index

### Properties

config
data
headers
request?
status
statusText

## Properties

### config

config: InternalAxiosRequestConfig < D >

- Defined in node_modules/axios/index.d.ts:399

### data

data: T

- Defined in node_modules/axios/index.d.ts:395

### headers

headers:
| AxiosResponseHeaders
| Partial <
RawAxiosHeaders & {
"Cache-Control": AxiosHeaderValue ;
"Content-Encoding": AxiosHeaderValue ;
"Content-Length": AxiosHeaderValue ;
"Content-Type": AxiosHeaderValue ;
Server: AxiosHeaderValue ;
} & { "set-cookie": string[] },
>

- Defined in node_modules/axios/index.d.ts:398

### `Optional` request

request?: any

- Defined in node_modules/axios/index.d.ts:400

### status

status: number

- Defined in node_modules/axios/index.d.ts:396

### statusText

statusText: string

- Defined in node_modules/axios/index.d.ts:397